Orders
Orders Fulfillments Events Create
Create a fulfillment event in an existing order fulfillment.
Authorization
oauth2 orders:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:write
Path Parameters
number*string
fulfillmentId*integer
A unique integer value identifying this fulfillment.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"city?|
City of the address.
country?|
The address country code.
estimated_delivery_at?|
Format
date-timehappened_at?string
Format
date-timelatitude?|
Format
doubleRange
-90 <= value <= 90line1?|
The first line of the address.
line2?|
Optional second line of of the address.
longitude?|
Format
doubleRange
-180 <= value <= 180message?|
postcode?|
The address post code or zip code.
state?|
The address state/province.
status*string
Expected statuses.
label_printed- Label Printedlabel_purchased- Label Purchasedconfirmed- Confirmedready_for_pickup- Ready For Pickupcarrier_picked_up- Carrier Picked Uppicked_up- Picked Upin_transit- In Transitout_for_delivery- Out For Deliveryattempted_delivery- Attempted Deliveryfailure- Failuredelivered- Delivereddelayed- Delayed
Value in
"label_printed" | "label_purchased" | "confirmed" | "ready_for_pickup" | "carrier_picked_up" | "picked_up" | "in_transit" | "out_for_delivery" | "attempted_delivery" | "failure" | "delivered" | "delayed"Response Body
application/json
curl -X POST "https://example.29next.store/api/admin/orders/string/fulfillments/0/events/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{
"status": "label_printed"
}'{
"city": "string",
"country": "string",
"created_at": "2019-08-24T14:15:22Z",
"estimated_delivery_at": "2019-08-24T14:15:22Z",
"fulfillment": 0,
"happened_at": "2019-08-24T14:15:22Z",
"id": 0,
"latitude": -90,
"line1": "string",
"line2": "string",
"longitude": -180,
"message": "string",
"order": "string",
"postcode": "string",
"state": "string",
"status": "label_printed",
"updated_at": "2019-08-24T14:15:22Z"
}